html,
body,
#sb-site,
.sb-site-container,
.sb-slidebar {
    /* Set box model to prevent any user added margins or paddings from altering the widths or heights. */
    margin: 0;
    padding: 0;
    -webkit-box-sizing: border-box;
    -moz-box-sizing: border-box;
    box-sizing: border-box;
}

html,
body {
    width: 100%;
    overflow-x: hidden;
    /* Stops horizontal scrolling. */
}

html {
    height: 100%;
    /* Site is as tall as device. */
}

body {
    min-height: 100%;
    height: auto;
    position: relative;
    /* Required for static Slidebars to function properly. */
}

html.sb-scroll-lock.sb-active:not(.sb-static) {
    overflow: hidden;
    /* Prevent site from scrolling when a Slidebar is open, except when static Slidebars are only available. */
}
/* ----------
 * 002 - Site
 */

#sb-site,
.sb-site-container {
    /* You may now use class .sb-site-container instead of #sb-site and use your own id. However please make sure you don't set any of the following styles any differently on your id. */
    width: 100%;
    position: relative;
    z-index: 1;
    /* Site sits above Slidebars */
    background-color: none;
    /* Default background colour, overwrite this with your own css. I suggest moving your html or body background styling here. Making this transparent will allow the Slidebars beneath to be visible. */
}
/* ---------------
 * 003 - Slidebars
 */

.sb-slidebar {
    height: 100%;
    overflow-y: auto;
    /* Enable vertical scrolling on Slidebars when needed. */
    position: fixed;
    top: 0;
    z-index: 0;
    /* Slidebars sit behind sb-site. */
    display: none;
    /* Initially hide the Slidebars. Changed from visibility to display to allow -webkit-overflow-scrolling. */
    background-color: #fff;
    /* Default Slidebars background colour, overwrite this with your own css. */
    -webkit-transform: translate(0px);
    /* Fixes issues with translated and z-indexed elements on iOS 7. */
}

.sb-left {
    left: 0;
    /* Set Slidebar to the left. */
    padding: 0 0.3em 0 0.3em;
    box-shadow: 1px 1px 8px rgba(0, 0, 0, 0.4);
}

ul.nav-side > li {
    margin-top: 1em;
}

ul.nav-side li {
    list-style: none;
}

.nav-side li ul li {
    padding: 0.4em 0 0 1em;
}

ul.nav-side li img {
    width: 80%;
}

ul.nav-side > li:last-child {
    text-align: right;
}

    ul.nav-side > li:last-child > img {
        cursor: pointer;
        width: 30%;
    }

ul.nav-side li a {
    text-decoration: none;
    color: #1b1b1b;
}

    ul.nav-side li a:hover {
        color: #567CEB;
    }
/* Slidebar RIGHT (For Player)
///////////////////*/

.sb-right {
    right: 0;
    /* Set Slidebar to the right. */
    padding: 0.2em 2em 2em 2em;
    box-shadow: 1px 1px 8px rgba(0, 0, 0, 0.4);
}

.slider-playerBox-holder {
    display: block;
    float: left;
    width: 90%;
    height: 100%;
    margin: 0 0.2em 0 0.2em;
}

.slider-player-box {
    text-align: center;
    width: 100%;
}

.slider-playerItems-holder {
    width: 89%;
    padding: 10% 5%;
    border-top: 1px rgba(86, 124, 235, 0.3) solid;
    border-bottom: 1px #fff solid;
}
/* AVATAR
///////////////////////////////////*/

.slider-player-avatar {
    margin-top: 15%;
    width: 70%;
}

    .slider-player-avatar img {
        width: 3em;
        opacity: 0.9;
        padding-top: 5%;
        text-align: center;
    }

        .slider-player-avatar img:hover {
            opacity: 1;
        }

.slider-player-name {
    display: block;
    margin-top: 0.5em;
    max-width: 90%;
    text-align: center;
    overflow: hidden;
    white-space: nowrap;
    text-overflow: ellipsis;
}

    .slider-player-name img {
        width: 15%;
        margin-right: 0.1em;
        vertical-align: middle;
    }

    .slider-player-name a {
        font-size: 0.7em;
        font-weight: 700;
        text-decoration: none;
        color: #555555;
    }

        .slider-player-name a:hover {
            color: #567CEB;
        }
/* Messages
///////////////////////////////////*/

.slider-messages {
    position: relative;
}

    .slider-messages ul {
        list-style: none;
        display: flex;
    }

        .slider-messages ul img {
            width: 40%;
        }

        .slider-messages ul a {
            text-decoration: none;
            color: #fff;
            font-size: 0.5em;
        }

            .slider-messages ul a .number-mess,
            .slider-messages ul a .number-alert {
                background: #f05253;
                border-radius: 10px;
                padding: 0.4em 0.6em 0.4em 0.4em;
                margin-left: -1em;
                opacity: 0.8;
            }

        .slider-messages ul img:hover {
            opacity: 0.8;
        }

        .slider-messages ul img:active {
            position: relative;
            top: 1px;
        }
/* XP and HP
///////////////////////////////////*/

.slider-xp-board {
    width: 90%;
    height: 2em;
    margin-top: 5%;
    margin-bottom: 10%;
}

.slider-hp-board {
    width: 90%;
    height: 2em;
}

    .slider-xp-board ul,
    .slider-hp-board ul {
        display: inline-block;
        list-style: none;
        width: 100%;
    }

.slider-xp-value,
.slider-hp-value {
    float: right;
    margin-top: -2.2em;
    word-break: keep-all;
}

.slider-xp-board ul li .slider-xp-box {
    /*
    position: relative;
    display: inline-block;
    width: 10%;
    background-image: url(../img/ico/player/xp-back.png);
    background-size: 90%;
    background-repeat: no-repeat;
    background-position: 0 0;
    min-height: 2em;
    padding: 6%;
        */
    display: inline-block;
    line-height: 20px;
    font-weight: bold;
    color: #567CEB;
    text-shadow: 1px 1px 0px rgba(68, 99, 188, 0.3);
}

.slider-hp-board ul li .slider-hp-box {
    /*
    position: relative;
    display: inline-block;
    width: 10%;
    background-image: url(../img/ico/player/hp-back.png);
    background-size: 90%;
    background-repeat: no-repeat;
    background-position: 0 0;
    min-height: 2em;
    padding: 6%;
        */
    display: inline-block;
    line-height: 20px;
    font-weight: bold;
    color: #15A34A;
    text-shadow: 1px 1px 0px rgba(16, 130, 59, 0.3);
}

    .slider-xp-board ul li .slider-xp-box:hover,
    .slider-hp-board ul li .slider-hp-box:hover {
        cursor: default;
    }

.slider-xp-board ul li .slider-xp-bar,
.slider-hp-board ul li .slider-hp-bar {
    display: inline-block;
    position: relative;
    width: 70%;
    height: 1em;
    padding: 0 0.2em;
    background-color: rgba(255, 255, 255, 0.6);
}

    .slider-xp-board ul li .slider-xp-bar span,
    .slider-hp-board ul li .slider-hp-bar span {
        font-size: 0.6em;
        color: #555555;
    }

.slider-xp-board ul li .slider-xp-contain,
.slider-hp-board ul li .slider-hp-contain {
    position: absolute;
    height: 0.5em;
    width: 92%;
    margin: 0;
    top: 4px;
    background-color: rgba(86, 124, 235, 0.2);
    /*
    -webkit-box-shadow: inset 1px 1px 0px 0px rgba(0, 0, 0, 0.3);
    -moz-box-shadow: inset 1px 1px 0px 0px rgba(0, 0, 0, 0.3);
    box-shadow: inset 1px 1px 0px 0px rgba(0, 0, 0, 0.3);
        */
    border-radius: 3px;
}

.slider-xp-board ul li .slider-xp {
    position: absolute;
    background: #567CEB;
    height: 0.35em;
    border-top: 1px rgba(255, 255, 255, 0.6) solid;
    /*border-bottom: 1px rgba(0, 0, 0, 0.2) solid;*/
    border-radius: 3px;
}

.slider-hp-board ul li .slider-hp {
    position: absolute;
    background: #15a34a;
    height: 0.35em;
    border-top: 1px rgba(255, 255, 255, 0.6) solid;
    /* border-bottom: 1px rgba(0, 0, 0, 0.2) solid;*/
    border-radius: 3px;
}

    .slider-xp-board ul li .slider-xp:hover,
    .slider-hp-board ul li .slider-hp:hover {
        opacity: 1;
        cursor: default;
    }
/* Money and Gold
///////////////////////////////////*/

.slider-player-money {
}

    .slider-player-money ul,
    .slider-player-gold ul {
        list-style: none;
        display: flex;
    }

        .slider-player-money ul li,
        .slider-player-gold ul li {
            font-size: 0.6em;
            color: #555555;
            text-align: right;
            cursor: default;
        }

            .slider-player-money ul li:first-child,
            .slider-player-gold ul li:first-child {
                width: 30%;
            }

            .slider-player-money ul li:last-child,
            .slider-player-gold ul li:last-child {
                width: 70%;
            }

            .slider-player-money ul li img,
            .slider-player-gold ul li img {
                vertical-align: text-bottom;
                width: 2em;
            }
/* Tasks
///////////////////////////////////*/

.slider-player-tasks {
}

    .slider-player-tasks ul {
        list-style: none;
        display: flex;
    }

        .slider-player-tasks ul img {
            width: 70%;
            opacity: 0.8;
        }

            .slider-player-tasks ul img:hover {
                opacity: 1;
            }

            .slider-player-tasks ul img:active {
                position: relative;
                top: 1px;
            }
/* Daytime 
///////////////////////////////////////*/

.slider-daytime ul {
    list-style: none;
    color: #555555;
    font-size: 0.8em;
}
/*
*
*
*
*
*
*
*/

html.sb-static .sb-slidebar,
.sb-slidebar.sb-static {
    position: absolute;
    /* Makes Slidebars scroll naturally with the site, and unfixes them for Android Browser < 3 and iOS < 5. */
}

.sb-slidebar.sb-active {
    display: block;
    /* Makes Slidebars visibile when open. Changed from visibility to display to allow -webkit-overflow-scrolling. */
}

.sb-style-overlay {
    z-index: 9999;
    /* Set z-index high to ensure it overlays any other site elements. */
}

.sb-momentum-scrolling {
    -webkit-overflow-scrolling: touch;
    /* Adds native momentum scrolling for iOS & Android devices. */
}
/* Slidebar widths for browsers/devices that don't support media queries. */

.sb-slidebar {
    width: 30%;
}

.sb-left {
    width: 50% !important;
}

.sb-width-thin {
    width: 15%;
}

.sb-width-wide {
    width: 45%;
}

@media (max-width: 480px) {
    /* Slidebar widths on extra small screens. */
    .sb-slidebar {
        width: 70%;
    }

	.sb-left {
        width: 48% !important;
    }

    .sb-width-thin {
        width: 55%;
    }

    .sb-width-wide {
        width: 85%;
    }
}

@media (min-width: 481px) {
    /* Slidebar widths on small screens. */
    .sb-slidebar {
        width: 55%;
    }

	.sb-left {
        width: 27%
        !important;
    }

    .sb-width-thin {
        width: 40%;
    }

    .sb-width-wide {
        width: 70%;
    }
}

@media (min-width: 768px) {
    /* Slidebar widths on medium screens. */
    .sb-slidebar {
        width: 40%;
    }

	.sb-left {
        width: 25%
        !important;
    }

    .sb-width-thin {
        width: 25%;
    }

    .sb-width-wide {
        width: 55%;
    }
}

@media (min-width: 992px) {
    /* Slidebar widths on large screens. */
    .sb-slidebar {
        width: 30%;
    }

	.sb-left {
        width: 25%
        !important;
    }

    .sb-width-thin {
        width: 15%;
    }

    .sb-width-wide {
        width: 45%;
    }
}

@media (min-width: 1200px) {
    /* Slidebar widths on extra large screens. */
    .sb-slidebar {
        width: 20%;
    }

	.sb-left {
        width: 25%
        !important;
    }

    .sb-width-thin {
        width: 5%;
    }

    .sb-width-wide {
        width: 35%;
    }
}
/* ---------------
 * 004 - Animation
 */

.sb-slide,
#sb-site,
.sb-site-container,
.sb-slidebar {
    -webkit-transition: -webkit-transform 400ms ease;
    -moz-transition: -moz-transform 400ms ease;
    -o-transition: -o-transform 400ms ease;
    transition: transform 400ms ease;
    -webkit-transition-property: -webkit-transform, left, right;
    /* Add left/right for Android < 4.4. */
    -webkit-backface-visibility: hidden;
    /* Prevents flickering. This is non essential, and you may remove it if your having problems with fixed background images in Chrome. */
}
/* --------------------
 * 005 - Helper Classes
 */

.sb-hide {
    display: none;
    /* Optionally applied to control classes when Slidebars is disabled over a certain width. */
}

.player-name a {
    color: #555555 !important;
}